package jdbc
import java.nio.file.{Paths,Files}
import java.util.Properties
//import scala.collection.JavaConverters.propertiesAsScalaMapConverter
import scala.jdk.CollectionConverters._

object Config {
//	val dirPath = path.getParent
  def getProperty(key: String): String = {
    propMap.getOrElseUpdate(key, defaults(key))
  }
  def defaults(key: String): String = key match {
    case "AD_host" => "ldaps://ad.uni-ffo.de/DC=ad,DC=uni-ffo,DC=de"
    case "AD_admin" => "his_ad_user@ad.uni-ffo.de"
    case "AD_password" => "the_secret_password"
    case "HisInOne_host" => "https://viacampus.europa-uni.de/qisserver/services2/"
    case "Soap_user" => "soap_readonly_user"
    case "Soap_pw" => "soap_secret_password"
    case "Mail_ext" => "@europa-uni.de"
    case _ => "not set"
  }
  val configFile = Paths.get("conf","setting.conf")
  val prop = new Properties
  if (Files.exists(configFile)) {
    val is = Files.newInputStream(configFile)
    prop.load(is)
    is.close
  }
  val propMap = prop.asScala
}